LINUX.ORG.RU

Gentoo: как патчить в зависимости от python_target?

 ,


0

2

Доброй ночи.
Есть такая приблуда - pyrex. По дефолту оно python2_7 only. Это нечто для компиза.
Хочу попытаться перевести 0.8.8 на пых3_7 и эта либа самая низовая.
Сам pyrex я долго патчил на искоренение пых2_7 синтаксиса и вроде оно собирается с патчем под пых3_7.
И тут вопрос, если я выставлю все пых-таргеты (python2_7 python3_{6,7,8,9}) или только 2_7 и 3_7, то как мне в ебилде применить патч для pyrex-билда только для 3 ветки (то есть через src_prepare чтоле)?
При этом, чтобы собиралось для всех указанных таргетов??


Сам pyrex я долго патчил на искоренение пых2_7 синтаксиса и вроде оно собирается с патчем под пых3_7.

Мама мия! Надо было не pyrex на py3 портировать, а что-там-у-тебя-его-юзает на Cython переводить.

t184256 ★★★★★ ()

-=:=-

Уже пофиг.
compiz-reloaded видимо спасет.

KosmiK ()

…но зачем? python2_7 всё равно уже EOL. Просто собирай только с python3 и все дела.

eternal_sorrow ★★★★★ ()
Для того чтобы оставить комментарий войдите или зарегистрируйтесь.